### Method

# Ide Workspace set_visible_surface

#### Declaration

    void
    ide_workspace_set_visible_surface (
      IdeWorkspace* self,
      IdeSurface* surface
    )

#### Description

Sets the `IdeWorkspace:visible-surface` property which is the currently visible `IdeSurface` in the workspace.

Available since: | 3.32

Sets property | `Ide.Workspace:visible-surface`

#### Parameters

`surface` | `IdeSurface`
| An `IdeSurface`.
| The data is owned by the caller of the function.